Skip to main content
GET
/
security
/
cves
/
{id}
Get a CVE by ID
curl --request GET \
  --url https://api.simonkoeck.com/security/cves/{id}
{
  "id": "CVE-2026-24472",
  "title": "Cache Control Bypass in Hono",
  "description": "Information disclosure vulnerability caused by improper handling of HTTP cache control directives.",
  "severity": "high",
  "product": "hono",
  "vendor": "honojs",
  "affectedVersions": "< 4.11.7",
  "publishedAt": "2026-01-27",
  "references": [
    "https://nvd.nist.gov/vuln/detail/CVE-2026-24472"
  ],
  "cvss": 7.5,
  "fixedVersion": "4.11.7"
}

Path Parameters

id
string
required
Example:

"CVE-2026-24472"

Response

CVE found

id
string
required
Example:

"CVE-2026-24472"

title
string
required
Example:

"Cache Control Bypass in Hono"

description
string
required
Example:

"Information disclosure vulnerability caused by improper handling of HTTP cache control directives."

severity
enum<string>
required
Available options:
critical,
high,
medium,
low
Example:

"high"

product
string
required
Example:

"hono"

vendor
string
required
Example:

"honojs"

affectedVersions
string
required
Example:

"< 4.11.7"

publishedAt
string
required
Example:

"2026-01-27"

references
string[]
required
Example:
[
"https://nvd.nist.gov/vuln/detail/CVE-2026-24472"
]
cvss
number
Example:

7.5

fixedVersion
string
Example:

"4.11.7"